Subject: bug#16901: 24.3.50; emacs_backtrace.txt

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Mar 2014 19:42:57 +0200

> From: Juanma Barranquero <[email-masked]>
> Date: Mon, 3 Mar 2014 18:28:03 +0100
> Cc: [email-masked], Dmitry Antipov <[email-masked]>
> 
> > When I see such bugs in such veteran code, I usually question
> > my own sanity.
> 
> I would question how much that code has been used (for the bug in
> GC_MCHECK code); as for the other, it surely has been giving us grief
> for years, but not in a consistent enough way. Until now.

I think we rarely, if ever, get unaligned blocks in a production
build.  The bug only shows when malloc returns a 16KB block whose
alignment is not a multiple of 1K.  A GC_MCHECK build does that all
the time, because it reserves the first 8 bytes of every block for a
hidden header.